## python-mockupdb 1.1.0

=== Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 mockupdb tests

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source mockupdb setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/mockupdb.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ mockupdb
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean
	python setup.py install

=== debian/changelog ===
python-mockupdb (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #816971)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 Nov 2016 22:26:50 +0100

=== debian/control ===
Source: python-mockupdb
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-setuptools,
               python-pymongo (>= 3),
               python3-all,
               python3-setuptools,
               python3-pymongo (>= 3),
Standards-Version: 3.9.8
Homepage: https://github.com/ajdavis/mongo-mockup-db
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mockupdb.git/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mockupdb.git
Testsuite: autopkgtest-pkg-python

Package: python-mockupdb
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: MongoDB Wire Protocol server library - Python 2.x
 Mock server for testing MongoDB clients and creating MongoDB Wire Protocol
 servers.
 .
 This package contains the Python 2.x module.

Package: python3-mockupdb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: MongoDB Wire Protocol server library - Python 3.x
 Mock server for testing MongoDB clients and creating MongoDB Wire Protocol
 servers.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-mockupdb-$1\.tar\.gz/ \
  https://github.com/ajdavis/mongo-mockup-db/tags .*/v?(\d\S*)\.tar\.gz

## python-mockupdb 1.3.0

=== debian/changelog ===
python-mockupdb (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Set Vcs-* to salsa.debian.org
  * d/patches/0001-Skip-SSL-tests.patch:
    - Removed, not needed anymore

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 13:55:04 +0100

python-mockupdb (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Switch to pypi.debian.net
  * d/source/options: Ignore .egg_info
  * d/patches/0001-Don-t-require-pymongo-for-tests.patch:
    - Removed, not needed anymore
  * d/patches/0001-Skip-SSL-tests.patch:
    - Added, SSL unit tests doesn't work
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/copyright:
    - Fixed for new upstream release
    - Bump my copyright year
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jan 2018 14:58:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Ondřej Nový <onovy@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
@@ -11,10 +11,10 @@
                python3-all,
                python3-setuptools,
                python3-pymongo (>= 3),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/ajdavis/mongo-mockup-db
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-mockupdb.git/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-mockupdb.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mockupdb
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-mockupdb.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python-mockupdb

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mockupdb/mockupdb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-mockupdb 1.4.1

=== debian/changelog ===
python-mockupdb (1.4.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Convert git repository from git-dpm to gbp layout

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 13:13:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-setuptools,
                python3-pymongo (>= 3),
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://github.com/ajdavis/mongo-mockup-db
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mockupdb
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-mockupdb.git

## python-mockupdb 1.7.0

=== debian/changelog ===
python-mockupdb (1.7.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 26 Jul 2019 20:50:44 +0200

python-mockupdb (1.7.0-2) unstable; urgency=medium

  * Regenerate test crt with longer RSA key

 -- Ondřej Nový <onovy@debian.org>  Tue, 01 Jan 2019 15:02:33 +0100

python-mockupdb (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Tue, 01 Jan 2019 13:53:19 +0100

=== debian/control ===
Source: python-mockupdb
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pymongo (>= 3),
Standards-Version: 4.4.0
Homepage: https://github.com/ajdavis/mongo-mockup-db
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mockupdb
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mockupdb.git
Testsuite: autopkgtest-pkg-python

Package: python3-mockupdb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: MongoDB Wire Protocol server library - Python 3.x
 Mock server for testing MongoDB clients and creating MongoDB Wire Protocol
 servers.
 .
 This package contains the Python 3.x module.

## python-mockupdb 1.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mongo-mockup-db.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mongo-mockup-db.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mongo-mockup-db"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mongo-mockup-db"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-mockupdb (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump debhelper compat level to 13.
  * Mark Rules-Requires-Root: no.
  * d/p/regenerate-certificate.patch: Drop, applied upstream.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Oct 2020 09:59:22 +0100

=== debian/control ===
Source: python-mockupdb
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ondřej Nový <onovy@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pymongo (>= 3),
Standards-Version: 4.5.0
Homepage: https://github.com/ajdavis/mongo-mockup-db
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mockupdb
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mockupdb.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-mockupdb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: MongoDB Wire Protocol server library - Python 3.x
 Mock server for testing MongoDB clients and creating MongoDB Wire Protocol
 servers.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = mockupdb

%:
	dh $@ --with python3 --buildsystem=pybuild
